# Server-less applications and monitor systems

## Server-less applications

- Definition: run app without having to provision and maintain any server
    - It actually uses server under the hood, but is automatically managed based
      on the application you provided, without anything else explicitly stated.
- Examples:
    - AWS API Gateway
    - AWS Lambda
    - AWS SQS
    - AWS SNS

## Monitoring systems

- Reason of Monitoring: HW, SW, data, and more need to be monitored, so failures
  and security issues can be addressed in reasonable time.
- Implementation for cloud systems: monitoring systems, to track faults and user
  log info for security audits.
- Helps to trouble shoot, administer and make decisions.
- Examples:
    - Ganglia
    - Nagios
    - Rackspace Cloud Monitoring
    - Amazon CloudWatch: monitoring system for AWS infrastructure, provide
      monitor data for application, and ge a overview of operations
    - AWS CloudTrail: enable governance, compliance, autiding to AWS account,
      monitors API calls
